//-----------------------------------------------------------------
// I-O Assignments.h - Created Fred Foscalina
// These are the I/O assignments
//-----------------------------------------------------------------
//
//$Modtime: 10/02/12 1:13p $
//$Revision: 8 $
//$Author: Fredf $ 

#ifndef __I_O_ASSIGNMENTS_H__	// don't allow multiple loads
#define __I_O_ASSIGNMENTS_H__

#include "I-O Signal Assignments.h"

// ******************************************
// Inputs
// ******************************************

// Tool Changer inputs
#define inToolChangerCounter	I32_0	// -> MP1_B0 -> M7101
#define inToolChangerIsIn		I32_2	// -> MP1_B2 -> M7103
#define inToolChangerIsOut  	I32_4	// -> MP1_B4 -> M7105
#define inToolChangerHome		I32_6	// -> MP1_B6 -> M7107
#define inToolChangerOverload	I35_5	// -> MP1_B29-> M7130
#define inToolChangerSensor		I33_4	// -> MP1_B12-> M7113

// Tool Clamp inputs
#define inToolClampLimit		I33_5	// -> MP1_B0 -> M7101
#define inToolUnclampLimit		I33_6	// -> MP1_B0 -> M7101
#define inToolClampButton       I33_7	// -> MP1_B0 -> M7101

// 4th Axis inputs
#define in4thClampLimit			I34_1	// -> MP1_B0 -> M7101
#define in4thUnclampLimit		I34_1	// -> MP1_B0 -> M7118
#define in4thOTPos				I37_0	// -> MP1_B0 -> M7101
#define in4thOTNeg				I37_1	// -> MP1_B0 -> M7101
#define in4thHome				I33_3	// -> MP1_B0 -> M7101

// Spindle inputs
#define inSpindleForwardKey		I31_0	// -> MP1_B0 -> M7101
#define inSpindleReverseKey		I31_1	// -> MP1_B0 -> M7101
#define inSpindleOffKey			I31_2	// -> MP1_B0 -> M7101
#define inSpindleFault			FAULT_5	// -> MP1_B0 -> M7101
#define inSpindleAgree			I30_4	// -> MP1_B0 -> M7101
#define inSpindleTemperatureOK	I37_3	// -> MP1_B0 -> M7101

// Misc key inputs
#define inGoKey					I31_3	// -> MP1_B0 -> M7101
#define inStopKey				I31_4	// -> MP1_B0 -> M7101
#define inEStopButtonOut    	I31_7	// -> MP1_B0 -> M7101

// Axis Limit switch inputs
#define inXPosLimit				PLIM_1	// -> MP1_B0 -> M7101
#define inYPosLimit				PLIM_2	// -> MP1_B0 -> M7101
#define inZPosLimit				PLIM_3	// -> MP1_B0 -> M7101
#define inXNegLimit				MLIM_1	// -> MP1_B0 -> M7101
#define inYNegLimit				MLIM_2	// -> MP1_B0 -> M7101
#define inZNegLimit				MLIM_3	// -> MP1_B0 -> M7101

#define inPosLimit4				PLIM_4	// -> MP1_B0 -> M7101
#define inPosLimit5				PLIM_5	// -> MP1_B0 -> M7101
#define inPosLimit6				PLIM_6	// -> MP1_B0 -> M7101
#define inPosLimit7				PLIM_7	// -> MP1_B0 -> M7101
#define inPosLimit8				PLIM_8	// -> MP1_B0 -> M7101

#define inNegLimit4				MLIM_4	// -> MP1_B0 -> M7101
#define inNegLimit5				MLIM_5	// -> MP1_B0 -> M7101
#define inNegLimit6				MLIM_6	// -> MP1_B0 -> M7101
#define inNegLimit7				MLIM_7	// -> MP1_B0 -> M7101
#define inNegLimit8				MLIM_8	// -> MP1_B0 -> M7101

// Motor Ports Home Inputs
#define inHome1					HOME_1	// -> MP1_B0 -> M7101
#define inHome2					HOME_2	// -> MP1_B0 -> M7101
#define inHome3					HOME_3	// -> MP1_B0 -> M7101
#define inHome4					HOME_4	// -> MP1_B0 -> M7101
#define inHome5					HOME_5	// -> MP1_B0 -> M7101
#define inHome6					HOME_6	// -> MP1_B0 -> M7101
#define inHome7					HOME_7	// -> MP1_B0 -> M7101
#define inHome8					HOME_8	// -> MP1_B0 -> M7101

// Motor Ports Amplifier Faults Inputs
#define inServoFault1			FAULT_1	// -> MP1_B0 -> M7101
#define inServoFault2			FAULT_2	// -> MP1_B0 -> M7101
#define inServoFault3			FAULT_3	// -> MP1_B0 -> M7101
#define inServoFault4			FAULT_4	// -> MP1_B0 -> M7101

#define inServoFault6			FAULT_6	// -> MP1_B0 -> M7101
#define inServoFault7			FAULT_7	// -> MP1_B0 -> M7101
#define inServoFault8			FAULT_8	// -> MP1_B0 -> M7101

// Motor Port Flag Inputs
#define inUserFlag1				USER_1
#define inUserFlag2				USER_2
#define inUserFlag3				USER_3
#define inUserFlag4				USER_4
#define inUserFlag5				USER_5
#define inUserFlag6				USER_6
#define inUserFlag7				USER_7
#define inUserFlag8				USER_8

#define inFlagW1				FLAG_W1
#define inFlagW2				FLAG_W2
#define inFlagW3				FLAG_W3
#define inFlagW4				FLAG_W4
#define inFlagW5				FLAG_W5
#define inFlagW6				FLAG_W6
#define inFlagW7				FLAG_W7
#define inFlagW8				FLAG_W8

#define inFlagV1				FLAG_V1
#define inFlagV2				FLAG_V2
#define inFlagV3				FLAG_V3
#define inFlagV4				FLAG_V4
#define inFlagV5				FLAG_V5
#define inFlagV6				FLAG_V6
#define inFlagV7				FLAG_V7
#define inFlagV8				FLAG_V8

#define inFlagU1				FLAG_U1
#define inFlagU2				FLAG_U2
#define inFlagU3				FLAG_U3
#define inFlagU4				FLAG_U4
#define inFlagU5				FLAG_U5
#define inFlagU6				FLAG_U6
#define inFlagU7				FLAG_U7
#define inFlagU8				FLAG_U8

#define inFlagT1				FLAG_T1
#define inFlagT2				FLAG_T2
#define inFlagT3				FLAG_T3
#define inFlagT4				FLAG_T4
#define inFlagT5				FLAG_T5
#define inFlagT6				FLAG_T6
#define inFlagT7				FLAG_T7
#define inFlagT8				FLAG_T8


// Misc inputs
#define inDoorClosed            I31_6
#define inLubeLevelFull         I36_5
#define inLubePressureLow       I35_0
#define inAirPressureOK			I36_6
#define inConveyorOverload      I36_4
#define inCoolantOverload  		I35_4
#define inWashOverload        	I36_0
#define inIndexerFinish			I39_4
#define inSWITester				I39_7


// ******************************************
// Outputs
// ******************************************

// Tool Clamp outputs
#define outToolUnclamp          Q40_0
#define outToolAirBlast         Q40_1

// Lights
#define outAlarmRed             Q40_2
#define outAlarmYellow          Q40_3
#define outAlarmGreen           Q40_4
#define outWorkLightOFF         Q41_1

// Misc outputs
#define outAirBlast             Q40_5
#define outDoorUnlock           Q40_6
#define outLubePump             Q41_0
#define outCoolant         		Q41_2
#define outWashCoolant          Q41_3
#define out4thUnclamp           Q42_7

// Chip conveyor outputs
#define outConveyorCW          	Q41_5
#define outConveyorCCW         	Q41_6

// Tool changer outputs
#define outToolChangerCW       	Q42_0
#define outToolChangerCCW      	Q42_1
#define outToolChangerOut  		Q42_4
#define outToolChangerIn       	Q42_5

// System outputs
#define outOTOveride           	Q43_0
#define outNCReady             	Q43_1

// Spindle outputs
#define outSpindleForward		O_0
#define outSpindleReverse		O_1
#define outSpindleOrient		O_2
#define outSpindleReset			O_3
#define outSpindle2ndAccelDecel	Q42_3

// Misc outputs
#define outIndexerStart			Q43_4

#endif